Using NVNC with NoVNC

Topics: Feature requests
Apr 4, 2014 at 10:44 PM
Hi,

I am trying to use your project with an HTML5 based vnc client (NoVNC https://github.com/kanaka/noVNC). But everytime i try to initialize a connection, i get error:
Only version 3.3, 3.7, and 3.8 of the RFB Protocol are supported.

Any help would be appreciated.


Thanks.
Coordinator
Apr 5, 2014 at 11:29 PM
Edited Apr 5, 2014 at 11:30 PM
Hello,

As far as I have read, A WebSocket server is needed to translate the Browser requests to TCP packets.
That is clearly stated on the NoVNC page:
Unless you are using a VNC server with support for WebSockets connections (such as x11vnc/libvncserver, QEMU, or PocketVNC), you need to use a WebSockets to TCP socket proxy.
As NVNC does not support WebSockets at the moment, you can try using websockify as described here: https://github.com/kanaka/noVNC/wiki/Advanced-usage
I will try to implement a WebSocket server for the future releases, but for now, performance is a priority.

Thanks,
T1T4N